package ca.recrown.islandsurvivalcraft;

import org.bukkit.generator.ChunkGenerator;
import org.bukkit.plugin.java.JavaPlugin;

import ca.recrown.islandsurvivalcraft.world.IslandSurvivalCraftChunkGenerator;
import ca.recrown.islandsurvivalcraft.world.generation.BiomePerIslandGenerator;

public class IslandSurvivalCraft extends JavaPlugin {
    IslandSurvivalCraftChunkGenerator generator;

    @Override
    public void onEnable() {
        generator = new IslandSurvivalCraftChunkGenerator(new BiomePerIslandGenerator());
        super.onEnable();
    }

    @Override
    public void onDisable() {
        super.onDisable();
    }

    @Override
    public ChunkGenerator getDefaultWorldGenerator(String worldName, String id) {
        return generator;
    }
}
